const { Kafka } = require('kafkajs')

const kafka = new Kafka({
  clientId: 'my-app',
  brokers: ['localhost:9092']
})

//const producer = kafka.producer()
const consumer = kafka.consumer({ groupId: 'test-group' })

const run = async () => {
  // // Producing
  // await producer.connect()
  // await producer.send({
  //   topic: 'test-topic',
  //   messages: [
  //     { value: 'Hello KafkaJS user!' },
  //   ],
  // })

  // Consuming
  await consumer.connect()
  await consumer.subscribe({ topic: process.env.TOPIC, fromBeginning: true })

  await consumer.run({
    eachMessage: async ({ topic, partition, message }) => {
      const obj = JSON.parse(message.value)
      console.log('Message consumer successfully!');
      console.log(obj.name)
      // console.log({
      //   partition,
      //   offset: message.offset,
      //   value: Json.parse(message.value),
      // })
    },
    
  })
}

run()